API ReferenceSections
Batch create sections
Create multiple sections in one request by sending a resources array.
Create multiple sections in one request by sending a resources array.
POST
header
AuthorizationBearer <API Key>Provide your SellApp API key as a bearer token.
Idempotency-Key?stringReuse this key only for an identical retry. A replay returns Idempotent-Replayed: true.
Length
8 <= length <= 255X-STORE?stringStore slug. Required for OAuth access tokens. API keys may omit it to use their current store, or the first accessible store when no current store is selected.
application/json- body
resources*array<>Successful response.
application/json- response
data*array<>curl -X POST 'https://sell.app/api/v2/sections/batch' \ -H 'Idempotency-Key: project-library-2026-09-04' \ -H 'X-STORE: launch-lab' \ -H 'Content-Type: application/json' \ -d '{ "resources": [ { "title": "Featured", "hidden": false } ]}'{ "data": [ { "id": 1, "title": "Featured", "slug": "featured", "hidden": false, "order": 1, "created_at": "2026-08-30T12:00:01.000000Z", "updated_at": "2026-08-30T12:00:01.000000Z", "store_id": 1, "groups_linked": 0, "products_linked": 0, "groups": [], "products": [] } ]}